BSON_STRING_FREE(3)

NAME
bson_string_free - bson_string_free()

SYNOPSIS

char *
bson_string_free (bson_string_t *string, bool free_segment);

PARAMETERS

•   string: A bson_string_t.

•   free_segment: A bool indicating if str->str should be returned.

DESCRIPTION

Frees the bson_string_t structure and optionally the string itself.

RETURNS

str->str if free_segment is true, otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc